## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWvp2loZfPipw

=== libs/libscgi/perl/Makefile ===
PERL=$(shell which perl)
PERL_SITEDIR=$(shell perl -MConfig -e 'print $$Config{sitelibexp}')
PERL_LIBDIR=-L$(shell perl -MConfig -e 'print $$Config{archlib}')/CORE
PERL_LIBS=$(shell perl -MConfig -e 'print $$Config{libs}')
LOCAL_CFLAGS=-w -DMULTIPLICITY $(shell $(PERL) -MExtUtils::Embed -e ccopts) -DEMBED_PERL
LOCAL_LDFLAGS=$(shell $(PERL) -MExtUtils::Embed -e ldopts) $(shell $(PERL) -MConfig -e 'print $$Config{libs}')
GCC_WARNING_JUNK=-w
PERL_INC=$(shell $(PERL) -MExtUtils::Embed -e perl_inc)
all: FSSCGI.so

scgi_wrap.cpp:
	swig -module FSSCGI -shadow -perl5 -c++ -DMULTIPLICITY -I../src/include -o scgi_wrap.cpp ../FSSCGI.i

perlxsi.c:
	$(PERL) -MExtUtils::Embed -e xsinit -- -o perlxsi.c

perlxsi.o: perlxsi.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) $(LOCAL_CFLAGS) -c perlxsi.c -o perlxsi.o

scgi_wrap.o: scgi_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(GCC_WARNING_JUNK) $(PERL_INC) -c scgi_wrap.cpp -o scgi_wrap.o

FSSCGI.so: scgi_wrap.o perlxsi.o
	$(CXX) $(SOLINK) scgi_wrap.o perlxsi.o $(MYLIB) $(LOCAL_LDFLAGS) -o FSSCGI.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f scgi_wrap.* FSSCGI.so FSSCGI.pm perlxsi.*

reswig:	swigclean scgi_wrap.cpp perlxsi.c

install: FSSCGI.so
	install -m 755 FSSCGI.so $(PERL_SITEDIR)
	install -m 755 FSSCGI.pm $(PERL_SITEDIR)
	install -d -m 755 FSSCGI $(PERL_SITEDIR)/FSSCGI
	install -m 755 FSSCGI/* $(PERL_SITEDIR)/FSSCGI

=== libs/xmlrpc-c/src/test/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  srcDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(srcDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := src/test

include $(BLDDIR)/config.mk

XMLRPC_C_CONFIG = $(BLDDIR)/xmlrpc-c-config.test

LDADD_CLIENT = \
  $(shell $(XMLRPC_C_CONFIG) client --ldadd)
LDADD_ABYSS_SERVER = \
  $(shell $(XMLRPC_C_CONFIG) abyss-server --ldadd)
LDADD_CGI_SERVER = \
  $(shell $(XMLRPC_C_CONFIG) cgi-server --ldadd)

default: all

INCLUDES = -I$(BLDDIR) -Isrcdir/include -Isrcdir/lib/util/include \

PROGS = test cgitest1

all: $(PROGS)

LDFLAGS = $(LADD)

TEST_OBJS = \
  testtool.o \
  test.o \
  abyss.o \
  cgi.o \
  method_registry.o \
  parse_xml.o \
  serialize.o \
  serialize_value.o \
  server_abyss.o \
  value.o \
  value_datetime.o \
  xml_data.o \

ifeq ($(MUST_BUILD_CLIENT),yes)
  TEST_OBJS += client.o
  LIBXMLRPC_CLIENT_DEP = $(LIBXMLRPC_CLIENT_A)
else
  TEST_OBJS += client_dummy.o
  LIBXMLRPC_CLIENT_DEP =
endif

include $(SRCDIR)/common.mk

# This 'common.mk' dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/common.mk: srcdir blddir

test: \
  $(XMLRPC_C_CONFIG) \
  $(TEST_OBJS) $(LIBXMLRPC_A) $(LIBXMLRPC_UTIL_A) \
  $(LIBXMLRPC_SERVER_A) $(LIBXMLRPC_SERVER_ABYSS_A) $(LIBXMLRPC_XML) \
  $(LIBXMLRPC_CLIENT_DEP) $(LIBXMLRPC_ABYSS_A) \
  $(LIBXMLRPC_XMLPARSE_A) $(LIBXMLRPC_XMLTOK_A) \
  $(CASPRINTF)
	$(CCLD) -o $@ $(LDFLAGS) \
	    $(TEST_OBJS) $(LDADD_CLIENT) $(LDADD_ABYSS_SERVER) $(CASPRINTF)

CGITEST1_OBJS = cgitest1.o testtool.o

cgitest1: $(CGITEST1_OBJS) $(LIBXMLRPC_SERVER_A) $(LIBXMLRPC_SERVER_CGI_A) \
  $(LIBXMLRPC_A) $(LIBXMLRPC_UTIL_A) $(LIBXMLRPC_XML)
	$(CCLD) -o $@ $(CGITEST1_OBJS) $(LDFLAGS) $(LDADD_CGI_SERVER)

OBJS = $(TEST_OBJS) cgitest1.o

$(OBJS):%.o:%.c
	$(CC) -c $(INCLUDES) $(CFLAGS_ALL) $<

# Note the difference between 'check' and 'runtests'.  'check' means to check
# our own correctness.  'runtests' means to run the tests that check our
# parent's correctness

.PHONY: check
check:

.PHONY: runtests
runtests: test cgitest1
	./test

.PHONY: install
install:

.PHONY: clean clean-local distclean
clean: clean-common clean-local
clean-local:
	rm -f $(PROGS)

distclean: clean distclean-common

.PHONY: dep
dep: dep-common

include depend.mk

=== libs/xmlrpc-c/lib/expat/xmltok/Makefile ===
###############################################################################
# This directory builds libxmlrpc_xmltok, an XML token parser.  This is
# essentially the separately distributed Expat library from 2001, but
# with slight changes.  The main reason it is bundled with Xmlrpc-c is
# to make the latter easier to build and use.
#
# The library is about XML in general.  There is nothing specific to
# XML-RPC here.
###############################################################################

ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  EXPATDIR := $(call updir,$(CURDIR))
  LIBDIR := $(call updir,$(EXPATDIR))
  SRCDIR := $(call updir,$(LIBDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib/expat/xmltok

include $(BLDDIR)/config.mk

# I can't figure out what XML_BYTE_ORDER is, but it doesn't look like the
# code has ever defined it.  That means it's treated like 0 in #if.  Since
# we started using the Gcc -Wundef option, that generates a warning, so
# se set it explicitly to 0 here.

CFLAGS_LOCAL = -DXML_BYTE_ORDER=0

# -I. is necessary when blddir != srcdir
INCLUDES = -I. -I$(BLDDIR) -Isrcdir/lib/util/include -Isrcdir/include

default: all

TARGET_LIBRARY_NAMES := libxmlrpc_xmltok

STATIC_LIBRARIES_TO_INSTALL = libxmlrpc_xmltok.a

SHARED_LIBS_TO_BUILD := libxmlrpc_xmltok
SHARED_LIBS_TO_INSTALL := libxmlrpc_xmltok

TARGET_MODS = xmltok xmlrole

OMIT_XMLTOK_LIB_RULE = Y
MAJ=3
  # Major number of shared libraries in this directory

include $(SRCDIR)/common.mk

# This 'common.mk' dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/common.mk: srcdir blddir

XMLTOK_SHLIB = $(call shlibfn,libxmlrpc_xmltok)
#XMLTOK_SHLIB is e.g. libxmlrpc_xmltok.so.3.1
XMLTOK_SHLIBLE = $(call shliblefn,libxmlrpc_xmltok)
#XMLTOK_SHLIBLE is e.g. libxmlrpc_xmltok.so

.PHONY: all
all: libxmlrpc_xmltok.a $(TARGET_SHARED_LIBRARIES) $(TARGET_SHARED_LE_LIBS)

# Rule for this is in common.mk, courtesy of TARGET_LIBRARY_NAMES
$(XMLTOK_SHLIB): $(TARGET_MODS:%=%.osh)
$(XMLTOK_SHLIB): LIBOBJECTS = $(TARGET_MODS:%=%.osh)

# Rule for this is in common.mk, courtesy of TARGET_STATIC_LIBRARIES:

libxmlrpc_xmltok.a: $(TARGET_MODS:%=%.o)
libxmlrpc_xmltok.a: LIBOBJECTS = $(TARGET_MODS:%=%.o)

#-----------------------------------------------------------------------------
#  RULES TO COMPILE OBJECT MODULES FOR LIBRARIES
#-----------------------------------------------------------------------------

# Rules to compile object modules from which to build the static and shared
# library are in common.mk, courtesy of TARGET_MODS.


.PHONY: clean
clean: clean-common
	rm -f nametab.h

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install: install-common

.PHONY: dep
dep: dep-common

GENNMTAB = ../gennmtab/gennmtab

nametab.h: $(GENNMTAB)
	rm -f $@
	$(GENNMTAB) >$@

$(GENNMTAB):
	$(MAKE) -C $(dir $@) $(notdir $@)

xmltok.o xmltok.osh: nametab.h xmltok_impl.c

include depend.mk

=== libs/spandsp/debian/control ===
Source: spandsp
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Kilian Krause <kilian@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>, Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper (>= 4.0.0), libtiff4-dev, libjpeg62-dev, dpatch, doxygen, autotools-dev, xsltproc
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-voip/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/

Package: libspandsp6
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libspandsp0, libspandsp1, libspandsp2
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the shared library.

Package: libspandsp-dev
Section: libdevel
Architecture: any
Depends: libspandsp6 (= ${Source-Version}), libtiff4-dev, libjpeg62-dev
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the static library and development headers.
 .
 Homepage: http://www.soft-switch.org/

Package: libspandsp-doc
Section: doc
Architecture: all
Description: Documentation for the spandsp signal processing library
 This package contains the online API in HTML for the libspandsp, a low
 level signal processing library that modulate and demodulate siignals
 commonly used in telephony, such as the "noise" generated by a fax
 modem or DTMF touchpad.
